[![KendoReact NPM Banner](https://raw.githubusercontent.com/telerik/kendo-react/master/images/kendoreact-github-banner.png)](https://www.telerik.com/kendo-react-ui/components/free?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators&utm_content=banner)

# KendoReact Indicators Library for React

> **Important**
>
> -   This package is а part of [KendoReact](https://www.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)&mdash;an enterprise-grade UI library with 120+ free and premium components.
> -   This package contains free KendoReact components. You can use it even in production, no sign-up or license required. If you're looking for more free React components, check out [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free).
> -   Installing and working with this package indicates that you [accept the KendoReact License Agreement](https://www.telerik.com/purchase/license-agreement/progress-kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators).
> -   The [30-day free trial](https://www.telerik.com/try/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators) gives you access to all KendoReact components and their full functionality. Additionally, for the period of your trial, you can use our legendary technical support provided directly by the KendoReact dev team!

The React Indicators, part of KendoReact Free, offer a highly customizable interface to represent a visual indication for their UI elements.

How to start:

```sh
npm i @progress/kendo-react-indicators
```

What's in this package (ToC):

-   [React Indicators Components Library Features](#react-indicators-library-shared-features)
-   [React Badge component (free)](#react-badge-component)
-   [React Loader component (free)](#react-loader-component)
-   [React Skeleton component (free)](#react-skeleton-component)

Additional information:

-   [Support Options](#support-options)
-   [Resources](#resources)
-   [KendoReact Indicators API](https://www.telerik.com/kendo-react-ui/components/indicators/api)

## React Indicators Components Library Features

Among the many features that the KendoReact Indicators deliver are:

-   **Appearance**&mdash;Out of the box, the React Indicators provide several different styles that can be set through a single configuration option. Styles include, but are not limited to, info, success, warning, error and more. Additionally, the KendoReact Indicators provide settings for the shape, size, fill and border, which allows to add padding to ensure that they can fit any application scenario.
-   **Customization**&mdash;Easily implement custom styling.
-   [Theme support](https://www.telerik.com/kendo-react-ui/components/styling/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)&mdash;The KendoReact Indicators, as well as all 120+ components in the KendoReact suite, are styled in three polished themes (Bootstrap, Material, Fluent, and Default) and can be further customized to match your specific design guidelines.

## React Badge Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Badge component](https://www.telerik.com/kendo-react-ui/components/indicators/badge/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators) takes inspiration from modern user experiences across web and mobile applications alike and provides an element to indicate unread messages or notifications. With the React Badge component, you can easily attach badges to existing UI elements.

How to use the Badge component in your apps:

```tsx
import { Badge, BadgeContainer } from '@progress/kendo-react-indicators';
...
/**
* For components that can have children, nest the Badge inside the respective component.
*/
<Badge />
/**
* For components that can't have children, simple text, or HTML elements, wrap the element and the Badge inside a BadgeContainer.
*/
<BadgeContainer>
  Text
  <Badge />
</BadgeContainer>
```

## React Loader Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Loader component](https://www.telerik.com/kendo-react-ui/components/indicators/loader/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators) offers a visually pleasing way to let your users know that a process, such as loading of remote data or fetching a view, is happening in the background.

How to use the Loader component in your apps:

```tsx
import { Loader } from '@progress/kendo-react-indicators';
...
/**
* Handle the logic for showing the Loader.
*/
<Loader />
```

## React Skeleton Component

> This is a **free React component**&mdash;no sign-up or license required.

[The KendoReact Skeleton component](https://www.telerik.com/kendo-react-ui/components/indicators/skeleton/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators) acts as a placeholder element that represents any type of HTML structure while users are waiting for it to load. The React Skeleton can be used to build HTML elements that are close to the shape and size of the expected content, giving users a perceived performance boost.

How to use the Skeleton component in your apps:

```tsx
import { Skeleton } from '@progress/kendo-react-indicators';
...
<Skeleton />
```

## Support Options

For any issues you might encounter while working with the KendoReact Indicators, use any of the available support channels:

-   Industry-leading technical support&mdash;KendoReact paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use [the dedicated KendoReact support system](https://www.telerik.com/account/support-center/contact-us/technical-support?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators).
-   Product forums&mdash;The [KendoReact forums](https://www.telerik.com/forums/kendo-ui-react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators) are part of the free support you can get from the community and from the KendoReact team.
-   Feedback portal&mdash;The [KendoReact feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators) is where you can request and vote for new features to be added.

## Resources

-   [Getting Started with KendoReact](https://www.telerik.com/kendo-react-ui/components/getting-started/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [Get Started with KendoReact Free](https://www.telerik.com/kendo-react-ui/components/free)
-   [Get Started with the KendoReact Indicators](https://www.telerik.com/kendo-react-ui/components/indicators/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [API Reference of the KendoReact Indicators](https://www.telerik.com/kendo-react-ui/components/indicators/api/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [Blogs](https://www.telerik.com/blogs/tag/kendoreact?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [Demos, documentation, and component reference](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [KendoReact pricing and licensing](https://www.telerik.com/kendo-react-ui/pricing?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)
-   [Changelog](https://www.telerik.com/kendo-react-ui/components/changelogs/ui-for-react/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-indicators)

High-level component overview pages

-   [React Badge Component](https://www.telerik.com/kendo-react-ui/badge)
-   [React Loader Component](https://www.telerik.com/kendo-react-ui/loader)
-   [React Skeleton Component](https://www.telerik.com/kendo-react-ui/skeleton)

_Copyright © 2025 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved._

_Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries._
